Download it now!
Bug 96366 - Function Wizard unusable with nested functions
Summary: Function Wizard unusable with nested functions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: highest critical
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-12-09 18:44 UTC by Yan Pas
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2015-12-09 18:44:59 UTC
Since some patches by Benjamin Ni Function, Function Wizard has become buggy: 
1. enter nested function, let's imagine LOG(POWER(2 ;7) ;6)
2. select power function, backspace one symbol in the field "Base"
3. I'm automatically thrown away to LOG function

In LO 5.0 there were no such bug. Why such changes are pushed to master? It has tooked about 15 minutes for me to find bug. Is there any master moderation at all???!! It's not surprising that 5.0.3 feels like apha version...

PS: btw, what has changed in formula wizard? I do not see any difference between 5.0 and 5.1. Wiki is requseting for screenshot https://wiki.documentfoundation.org/ReleaseNotes/5.1#Calc
Comment 1 Yan Pas 2015-12-09 18:47:49 UTC
tested on Windows 7 machine, 64 bit, version  5.1.0.0.beta2 (x64)
Comment 2 raal 2015-12-09 19:47:46 UTC
Reproducible with Version: 5.2.0.0.alpha0+
Build ID: de9d0e797903e7ecc19be2b05c7e89d5936ae02d
Threads 4; Ver: Linux 4.2; Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-12-03_04:13:00
Comment 3 Eike Rathke 2015-12-18 10:45:21 UTC
Please don't assign bugs to people when submitting. Grabbing.
Comment 4 Commit Notification 2015-12-18 11:42:34 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8217ddbfc863dd9b313d6b5eaecb1877e42b2d02

tdf#96366 disable treeview results until fix available

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-12-18 11:45:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6e80c6b9d40408a745ab0ced5d217118985e4079&h=libreoffice-5-1

tdf#96366 disable treeview results until fix available

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-12-18 14:46:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d1ee5a5b4730a6d3da4e8a02a08d1d27e9d27e4

Resolves: tdf#96366 replace Edit...() calls with actually working code

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-12-18 14:50:57 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0996f40fbc8cb2456ed042d7a93d9fb538e0b7d0&h=libreoffice-5-1

Resolves: tdf#96366 replace Edit...() calls with actually working code

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.